import { default as Column } from '../../core/column/Column';
import { default as Module } from '../../core/Module';
import { default as Row } from '../../core/row/Row';
import { default as Tabulator } from '../../core/Tabulator';
import { CustomAccessor } from '../../core/types';

type AccessorType = '' | 'data' | 'download' | 'clipboard' | 'print' | 'htmlOutput';
export default class Accessor extends Module {
    static moduleName: string;
    static accessors: Record<string, CustomAccessor>;
    allowedTypes: AccessorType[];
    constructor(table: Tabulator);
    initialize(): void;
    initializeColumn(column: Column): void;
    lookupAccessor(value: string | CustomAccessor): CustomAccessor | false;
    transformRow(row: Row, type: AccessorType): Record<string, any>;
}
export {};
